IFITTOOL(8)

NAME
ifittool - Utility for modifying Intel Firmware Interface Table

SYNOPSIS

ifittool [-h]
ifittool [-H] [-v] [-D] [-c] <-f|--file name> <-s|--max-table-size size> <-r|--region fmap region> OPERATION

DESCRIPTION
Utility for modifying Intel Firmware Interface Table

OPTIONS

-a|--add-entry
    Add a CBFS file as new entry to FIT

-A|--add-region
    Add region as new entry to FIT (for microcodes)

-d|--del-entry number :
    Delete existing <number> entry

-F|--set-fit-pointer
    Set the FIT pointer to a CBFS file

-t|--fit-type
    Type of new entry

-n|--name
    The CBFS filename or region to add to table

OPTIONAL ARGUMENTS:

-h|--help
    Display this text

-H|--header-offset
    Do not search for header, use this offset

-v|--verbose
    Be verbose (-v=INFO -vv=DEBUG output)

-D|--dump
    Dump FIT table (at end of operation)

-c|--clear-table
    Remove all existing entries (do not update)

-j|--topswap-size
    Use second FIT table if non zero

REQUIRED ARGUMENTS:

-f|--file name
    The file containing the CBFS

-s|--max-table-size
    The number of possible FIT entries in table

-r|--region
    The FMAP region to operate on

AUTHORS

coresystems GmbH.
Man page written by Ahmad Khalifa.